Stream

Gets the stream speech for the given input

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AcceptenumRequired
Allowed values:

Request

This endpoint expects an object.
inputstringRequired
Plain text or SSML to be synthesized to speech. Refer to https://docs.speechify.ai/docs/api-limits for the input size limits. Emotion, Pitch and Speed Rate are configured in the ssml input, please refer to the ssml documentation for more information: https://docs.speechify.ai/docs/ssml#prosody
voice_idstringRequired

Id of the voice to be used for synthesizing speech. Refer to /v1/voices endpoint for available voices

languagestringOptional
Language of the input. Follow the format of an ISO 639-1 language code and an ISO 3166-1 region code, separated by a hyphen, e.g. en-US. Please refer to the list of the supported languages and recommendations regarding this parameter: https://docs.speechify.ai/docs/language-support.
modelenumOptionalDefaults to simba-english

Model used for audio synthesis. simba-base and simba-turbo are deprecated. Use simba-english or simba-multilingual instead.

Allowed values:
optionsobjectOptional
GetStreamOptionsRequest is the wrapper for request parameters to the client

Response

Errors

400
Audio Stream Request Bad Request Error
401
Audio Stream Request Unauthorized Error
402
Audio Stream Request Payment Required Error
403
Audio Stream Request Forbidden Error
500
Audio Stream Request Internal Server Error